> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vambe.me/llms.txt
> Use this file to discover all available pages before exploring further.

# Get response-time statistics

> Returns median, p90 and average waiting time (in minutes) for answered messages



## OpenAPI

````yaml /openapi.json get /api/analytics/team/snapshot/response-time-statistics
openapi: 3.0.0
info:
  title: Vambe AI API
  description: Vambe AI documentation
  version: '1.0'
  contact: {}
servers:
  - url: https://api.vambe.me
    description: Production Server
security: []
tags:
  - name: Vambe AI
    description: ''
paths:
  /api/analytics/team/snapshot/response-time-statistics:
    get:
      tags:
        - Team Analytics
      summary: Get response-time statistics
      description: >-
        Returns median, p90 and average waiting time (in minutes) for answered
        messages
      operationId: GetSnapshotTeamAnalyticsController_getResponseTimeStatistics
      parameters:
        - name: agentIds
          required: false
          in: query
          description: Array of agent IDs to filter
          schema:
            example:
              - agent-id-1
              - agent-id-2
            type: array
            items:
              type: string
        - name: startDate
          required: false
          in: query
          description: Start date (ISO 8601). Defaults to today-7d 00:00.
          schema:
            example: '2025-05-27'
            type: string
        - name: endDate
          required: false
          in: query
          description: End date (ISO 8601). Defaults to today 23:59.
          schema:
            example: '2025-06-03'
            type: string
        - name: pipelineId
          required: false
          in: query
          description: Optional pipeline ID to filter by specific pipeline
          schema:
            example: pipeline-id-1
            type: string
        - name: stageIds
          required: false
          in: query
          description: Optional array of stage IDs to filter by specific stages
          schema:
            example:
              - stage-id-1
              - stage-id-2
            type: array
            items:
              type: string
        - name: hideArchived
          required: false
          in: query
          description: Optional boolean to filter by archived conversations
          schema:
            type: boolean
            example: true
        - name: hideUnassigned
          required: false
          in: query
          description: Optional boolean to filter by unassigned conversations
          schema:
            type: boolean
            example: true
        - name: x-api-key
          in: header
          description: API key
          required: true
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  medianWaitingTime:
                    type: number
                    example: 12
                  p90WaitingTime:
                    type: number
                    example: 55
                  averageWaitingTime:
                    type: number
                    example: 18

````